Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table
Class CompiledCell

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseElementGroup
          net.sf.jasperreports.components.table.CompiledCell

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Cell, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRStyleContainer, JRVisitable

    public class CompiledCell

extends JRBaseElementGroup
implements Cell

Version:
  $Id: CompiledCell.java 3601 2010-03-17 16:44:32Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected JRStyle` | `style`
`protected java.lang.String` | `styleNameReference`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`children, elementGroup`

Constructor Summary
`CompiledCell()`
`CompiledCell(Cell cell, JRBaseObjectFactory factory)`

Method Summary
`java.awt.Color` | `getDefaultLineColor()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`java.lang.Integer` | `getHeight()`
`JRLineBox` | `getLineBox()`
`java.lang.Integer` | `getRowSpan()`
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup
`clone, clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup
`getChildren, getElementByKey, getElementGroup, getElements`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitable
`visit`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### style

    protected JRStyle style

### styleNameReference

    protected java.lang.String styleNameReference

Constructor Detail

### CompiledCell

    public CompiledCell()

### CompiledCell

    public CompiledCell(Cell cell,
                        JRBaseObjectFactory factory)

Method Detail

### getHeight

    public java.lang.Integer getHeight()

  Specified by:
    `getHeight` in interface `Cell`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getRowSpan

    public java.lang.Integer getRowSpan()

  Specified by:
    `getRowSpan` in interface `Cell`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com